Composer с разными версиями php

Опубликовано SergeyOs - вс, 03/01/2020 - 17:44

Иногда нужно на рабочей машине иметь несколько версий PHP. Чтобы использовать Composer с различными версиями PHP, можно воспользоваться такой командой:

# path_to_binary_php /usr/bin/composer.phar [options] [arguments]

где path_to_binary_php - путь к бинарнику PHP нужной версии.

Если нужен Composer в панели администрирования Plesk, то делаем так:

# /opt/plesk/php/X.X/bin/php /usr/lib64/plesk-X.X/composer.phar [options] [arguments]

где X.X версии PHP и Plesk, соответственно.

 

Теги